package com.education.model.vo;

import com.education.model.entity.CourseSection;
import com.education.model.entity.CourseSectionNode;
import java.util.List;

public class CourseSectionVo extends CourseSection {
    private List<CourseSectionNode> courseSectionNodeList;
    public CourseSectionVo(CourseSection courseSection) {
        super.setId(courseSection.getId());
        super.setCourseId(courseSection.getCourseId());
        super.setTitle(courseSection.getTitle());
        super.setCreateDate(courseSection.getCreateDate());
        super.setUpdateDate(courseSection.getUpdateDate());
    }
    public List<CourseSectionNode> getCourseSectionNodeList() {
        return courseSectionNodeList;
    }

    public void setCourseSectionNodeList(List<CourseSectionNode> courseSectionNodeList) {
        this.courseSectionNodeList = courseSectionNodeList;
    }
}
